# Sway Config: Media workspace
#
# Thurstylark

set $ws-media Media

# Switch output to workspace
bindsym $mod+Home workspace $ws-media

# Move focused container to workspace
bindsym $mod+Shift+Home move container to workspace $ws-media

# Any mpv window should show on media workspace
for_window [app_id="mpv"] {
	move container to workspace $ws-media
	fullscreen enable
}

for_window [app_id="mctrl"] {
	floating enable
	resize set width 700 px height 200 px
	move position center
	move down 300 px
	move window to scratchpad
}

# Launch mpv using the contents of the clipboard
bindsym $mod+Insert exec "alacritty --class mctrl -e mpv $$(wl-paste)"
